package com.ruoyi.busi.service;

import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.busi.domain.BusiNotice;
import com.ruoyi.query.BusiNoticeQuery;

/**
 * 通告Service接口
 *
 * @author 朱春云
 * @date 2025-03-17
 */
public interface IBusiNoticeService extends IService<BusiNotice>
{

    /**
     * 通过用户id查询通告发布记录
     * @author PQZ
     * @date 14:35 2025/3/21
     * @param userId 用户id
     * @return java.util.List<com.ruoyi.busi.domain.BusiNotice>
    **/
    List<BusiNotice> listByUserId(Long userId);
    IPage<BusiNotice> queryListPage(BusiNoticeQuery query, Page<BusiNotice> page);
    void saveVo(BusiNotice data);
}
