package com.ruoyi.member.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.member.domain.MemberCard;

import java.util.List;

/**
 * 会员开卡记录Service接口
 *
 * @author pqz
 * @date 2025-03-17
 */
public interface IMemberCardService extends IService<MemberCard> {

    /**
     * 通过用户id查询会员开卡记录
     *
     * @param userId 用户id
     * @return java.util.List<com.ruoyi.member.domain.MemberCard>
     * @author PQZ
     * @date 14:24 2025/3/21
     **/
    List<MemberCard> listByUserId(Long userId);

}
