package com.ruoyi.member.vo;

import com.ruoyi.busi.domain.BusiEvaluate;
import com.ruoyi.busi.domain.BusiNotice;
import com.ruoyi.member.domain.MemberCard;
import com.ruoyi.member.domain.MemberUser;
import lombok.Data;

import java.util.List;

@Data
public class MemberUserVO extends MemberUser {
    /**用户昵称*/
    String nickName;
    /**账号状态*/
    String status;
    /**手机号*/
    String phonenumber;
    /**会员卡名称*/
    String memberCardName;
    /**头像地址*/
    String avatar;
    /**评价信息*/
    List<BusiEvaluate> evaluates;
    /**开卡记录*/
    List<MemberCard> cards;
    /**通告列表*/
    List<BusiNotice> notices;
}
